----------------------------------------------
--		Serenity Now						--
--			By Shampow on US-Archimonde		--
----------------------------------------------

SN = LibStub("AceAddon-3.0"):NewAddon("SerenityNow", "AceEvent-3.0", "AceTimer-3.0")
SN.LSM = LibStub("LibSharedMedia-3.0")

local AceDB = LibStub("AceDB-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")
--local SN.RI = LibStub("LibRaidInspect-1.0")

local Elv = IsAddOnLoaded("ElvUI")

if (Elv) then
	local E, L, V, P, G, _ = unpack(ElvUI)
end

SN.curr = {}
SN.tmp = {}
SN.handles = {}
SN.F = {} 	-- Frames
SN.V = {} -- Variables

	
function SN:OnEnable()
	
	SN:GetPowerColor()
	currentpower = UnitPower("player")
	maxpower = UnitPowerMax("player")
	SN:RegisterEvent("UNIT_DISPLAYPOWER", "UpdatePowerType")
	SN:SetupPower()
	SN:CoolDowns()
end

function SN:OnInitialize()

	if count == 1 then return end
	--SN:RegisterChatCommand("SN", "SlashProcessor_SN")
	
	-- DB
	SN.db = AceDB:New("SNDB", SN.defaults, true)
	
	SN.profileDB = SN.db.profile
	--SN:SetupOptions()
	SN:SetupVars()
	--SN.CreateBase()
	local index = 0
	for i, cooldown in pairs(SN.cooldowns) do
		if (SN.defaults["profile"]["cooldown"][cooldown['name']]) then
			index = index + 1;
			SN.curr[cooldown['spellID']] = {}
		end
	end
	--SN.active = index
	--SN:CheckVisibility()
	
   count = 1
end

--function SN:SlashProcessor_SN(input)
--	local v1, v2 = input:match("^(%S*)%s*(.-)$")
--	v1 = v1:lower()

--	if v1 == "" then
--		print("|cffc41f3bSerentity Now|r: /SN lock - Lock and Unlock Frame")
--		print("|cffc41f3bSerentity Now|r: /SN debug - Raid talents")
--		print("|cffc41f3bSerentity Now|r: /SN show - Hide/Show Cooldown Monitor")
--		print("|cffc41f3bSerentity Now|r: /SN raid - Print Raid Roster and talents")		
--	elseif v1 == "lock" or v1 == "unlock" or v1 == "drag" or v1 == "move" or v1 == "l" then
--		SN:ToggleMoversLock()	
--	elseif v1 == "raid" then
--		SN:returnRaidRoster()
--	elseif v1 == "debug" then
--		SN:print_r(LibRaidInspectMembers)
--	elseif v1 == "debug2" then
--		SN:print_r(BLRCD.cooldownRoster)
--	elseif v1 == "show" then
--		SN:ToggleVisibility()	
--	elseif v1 == "reset" then
--		RI:Reset()	
--	end
--end