--System Variables

function SN:SetupVars()
	SN.V = {
		["media"] = {
			["normTex"] = SN.LSM:Fetch("statusbar","SNNorm"),
			["minTex"] = SN.LSM:Fetch("statusbar", "SNMin"),
			["glossTex"] = SN.LSM:Fetch("statusbar", "SNGloss"),
			["blankTex"] = SN.LSM:Fetch("background","SNBlank"),
			["borderTex"] = SN.LSM:Fetch("border", "SNBorder"),
			["font"] = SN.LSM:Fetch("font","SNFont")
		},
		["power"] = {
			["MANA"] = {r = 0.31, g = 0.45, b = 0.63},
			["RAGE"] = {r = 0.78, g = 0.25, b = 0.25},
			["FOCUS"] = {r = 0.71, g = 0.43, b = 0.27},
			["ENERGY"] = {r = 0.65, g = 0.63, b = 0.35},
			["RUNIC_POWER"] = {r = 0, g = 0.82, b = 1}
		}
	}

	SN.defaults = {
	profile = {
		castannounce = false,
		cdannounce = false,
		clickannounce = false,
		show = "always",
		cooldown = {
			DA   = true,
			HOS  = true,
			PWB  = true,
			PS   = true,
			DH   = true,
			GS   = true,
			VS   = true,
			HH   = true,
			T    = true,
			FE   = true,
			R    = true,
			I    = true,
			SLT  = true,
			MTT  = true,
			HR   = true,
			HTT  = true,
			ST   = true,
			COTE = true,
			ZEN  = true,
			LIFE = true,
			REV  = true,
			SR   = true,
			RA   = true,
			AMZ  = true,
			RC   = true,
			DB   = true,
			},
		},
	}
end